# eric6.Preferences.ConfigurationPages.IrcPage

Module implementing the IRC configuration page.

### Global Attributes

None

### Classes

IrcPage | Class implementing the IRC configuration page.

### Functions

create | Module function to create the configuration page.

## IrcPage

Class implementing the IRC configuration page.

### Derived from

ConfigurationPageBase, Ui_IrcPage

### Class Attributes

DateFormats
TimeFormats

### Class Methods

None

### Methods

IrcPage | Constructor
save | Public slot to save the IRC configuration.

### Static Methods

None

#### IrcPage (Constructor)

IrcPage()

Constructor

#### IrcPage.save

save()

Public slot to save the IRC configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up